Bug 246464 - [maintainer-update] editors/jucipp update to v1.6.0_1
Summary: [maintainer-update] editors/jucipp update to v1.6.0_1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-05-14 10:25 UTC by Mohammad S. Babaei
Modified: 2020-05-17 16:01 UTC (History)
1 user (show)

See Also:


Attachments
jucipp-1.6.0-to-1.6.0_1.patch (1.07 KB, patch)
2020-05-14 10:25 UTC, Mohammad S. Babaei
info: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mohammad S. Babaei 2020-05-14 10:25:05 UTC
Created attachment 214485 [details]
jucipp-1.6.0-to-1.6.0_1.patch

I made the following changes:

* I forgot to add runtime dependency on uctags:devel/universal-ctags which was reminded to me by the upstream: "we are making quite heavy use of (universal) ctags now. I'm all for giving users options, but we make extensive use of ctags. For instance, for C/C++ files we use ctags for finding implementations in a project, and for all file types we use ctags for finding functions/methods in a source file and symbols in a project. Regarding the tests, I made sure they pass on FreeBSD as well in this release, and will continue to do so for future releases.  Oh, and you need universal ctags on FreeBSD to pass the tests:)"

* I did add an option for tests
Comment 1 Automation User 2020-05-15 15:13:48 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/146255355
Comment 2 commit-hook freebsd_committer 2020-05-17 11:44:14 UTC
A commit references this bug:

Author: fernape
Date: Sun May 17 11:43:55 UTC 2020
New revision: 535542
URL: https://svnweb.freebsd.org/changeset/ports/535542

Log:
  editors/jucipp: add runtime dependency and TEST option

  * Add runtime dependency on devel/universal-ctags as suggested by upstream
  * Add TEST option

  PR:	246464
  Submitted by:	info@babaei.net (maintainer)

Changes:
  head/editors/jucipp/Makefile
Comment 3 Fernando Apesteguía freebsd_committer 2020-05-17 16:01:15 UTC
Committed,

Thanks!